Skip to main content
POST
/
api
/
v1
/
templates
/
{id}
/
parties
Add a party to template
curl --request POST \
  --url https://app.sajn.se/api/v1/templates/{id}/parties \
  --header 'Content-Type: application/json' \
  --header 'authorization: <authorization>' \
  --data '
{
  "contactId": "<string>",
  "role": "SIGNER",
  "signingOrder": 123
}
'
{
  "id": "<string>",
  "templateId": "<string>",
  "name": "<string>",
  "createdAt": "<unknown>",
  "updatedAt": "<unknown>",
  "email": "<string>",
  "phone": "<string>",
  "signingOrder": 123,
  "contactId": "<string>",
  "companyId": "<string>",
  "companyName": "<string>",
  "companyRole": "<string>",
  "companyOrgNumber": "<string>",
  "externalId": "<string>",
  "ssn": "<string>",
  "country": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.sajn.se/llms.txt

Use this file to discover all available pages before exploring further.

Headers

authorization
string
required

Bearer token for API authentication

Path Parameters

id
string
required

Body

application/json

Body

Create template party request

contactId
string
required

ID of existing contact to add as a party

Minimum string length: 1
role
enum<string>
default:SIGNER
required

Party role

Available options:
SIGNER,
ORGANIZER,
REVIEWER,
ACCEPTOR
signingOrder
number | null

Order for sequential signing

deliveryMethod
enum<string>

Default delivery method

Available options:
EMAIL,
SMS,
NONE
requiredSignature
enum<string>

Default signature type

Available options:
NONE,
DRAWING,
BANKID,
MANUAL,
CLICK_TO_SIGN
twoStepVerification
enum<string>

Default two-step verification

Available options:
NONE,
SMS_BEFORE_SIGNING,
EMAIL_BEFORE_SIGNING

Response

200

id
string
required

Unique template party identifier

templateId
string
required

Template ID this party belongs to

name
string
required

Party name

type
enum<string>
required

Party type: INDIVIDUAL or COMPANY

Available options:
INDIVIDUAL,
COMPANY
role
enum<string>
required

Party role: SIGNER, ORGANIZER, REVIEWER, or ACCEPTOR

Available options:
SIGNER,
ORGANIZER,
REVIEWER,
ACCEPTOR
deliveryMethod
enum<string>
required

Default delivery method

Available options:
EMAIL,
SMS,
NONE
twoStepVerification
enum<string>
required

Default two-step verification

Available options:
NONE,
SMS_BEFORE_SIGNING,
EMAIL_BEFORE_SIGNING
createdAt
any
required
updatedAt
any
required
email
string | null

Party email address

phone
string | null

Party phone number

signingOrder
number | null

Order for sequential signing

contactId
string | null

Linked contact ID

companyId
string | null

Linked company ID

companyName
string | null

Company name

companyRole
string | null

Role within the company

companyOrgNumber
string | null

Company organization number

externalId
string | null

External reference ID

ssn
string | null

Swedish personal number (personnummer)

country
string | null

ISO 3166-1 alpha-3 country code (e.g. SWE)

requiredSignature
enum<string> | null

Default required signature type

Available options:
NONE,
DRAWING,
BANKID,
MANUAL,
CLICK_TO_SIGN